Subject: bug#60237: 30.0.50; tree sitter core dumps when I edebug view a node

From: Stefan Monnier <[email-masked]>
Date: Fri, 10 Mar 2023 22:38:33 -0500

>> In the text you quote I simply try and describe the kinds of situations
>> where I think the problem can appear.  I don't know which of those are
>> actually possible, nor do I suggest what should be done about it.
>> And yes, maybe we can use `gc_in_progress`.
>> So far I haven't taken a look at that, but feel free to do so.
> I thought you'd know a problem or two with `gc_in_progress', which is
> why you decided to check for QAutomatic_GC in the backtrace.

No.  I can't remember why I used `QAutomatic_GC` back when
that profiler was first introduced, but I guess it's because I hadn't
realized I could use `gc_in_progress`.
And now I just preserved the code that was there.

        Stefan